Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

List a letter's clicked links

GET
/api/v3/letters/{letterUuid}/click-links
curl --request GET \
--url 'https://api.tryletterhead.com/api/v3/letters/example/click-links?api=true' \
--header 'Authorization: Bearer <token>'

Return the distinct link URLs that at least one reader has clicked on in this letter. Unlike listALettersLinks (every link the newsletter contains), this only includes links with recorded click activity.

letterUuid
required
string

The letter’s unique identifier β€” an alphanumeric string around ten characters, e.g. ludctamgd6.

api
required
boolean

When true, tells the endpoint you are authenticating with a company API key (the key you generate under a company’s administrative settings) rather than a logged-in user session. For API integrations you will almost always set this to true.

Clicked link URLs retrieved

Media type application/json
object
items
Array<string>
message
string
total
integer
Example
{
"items": [
"https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html"
],
"message": "",
"total": 1
}

Still can’t find what you need? Contact support.